/*
 * Calculate Android Copyright <C> 2020 Jonas Lochmann
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation version 3 of the License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see https://www.gnu.org/licenses/
 */
package com.rechnen.app.data.dao

import androidx.room.Dao
import androidx.room.Insert
import androidx.room.Query
import com.rechnen.app.data.model.SavedTask

@Dao
interface SavedTaskDao  {
    @Query("SELECT * FROM saved_task WHERE user_id = :userId")
    suspend fun getUserTasksCoroutine(userId: Int): List<SavedTask>

    @Query("DELETE FROM saved_task WHERE user_id = :userId")
    fun deleteUserTasksSync(userId: Int)

    @Insert
    fun addUserTasksSync(tasks: List<SavedTask>)
}